# Attention : 
# we are going to drop this package in favor of cdrtools soon, as
# - cdrkit isn`t updated enough anymore
# - cdrkit has major bugs
# - cdrkit is missing features

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	A collection of CD/DVD utilities
Name:      	cdrkit
Version:   	1.1.10
Release:   	1
License: 	GNU/GPL
URL:		http://www.cdrkit.org/
Group:     	Archiving/CD Burning 
Source: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires: 	cmake

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: glibc-devel
BuildRequires: libcap-devel
BuildRequires: perl
BuildRequires: zlib-devel

%description
cdrkit is a collection of CD/DVD utilities.

%package -n wodim
Summary: 	A command line CD/DVD recording program
Group: 		Archiving/CD Burning 

%description -n wodim
Wodim is an application for creating audio and data CDs. Wodim
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package -n genisoimage
Summary: 	Creates an image of an ISO9660 filesystem
Group: 		Archiving/CD Burning 
Requires: 	perl
Requires:       cdrtools-isoutils

%description -n genisoimage
The genisoimage program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem. Genisoimage takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device. Genisoimage is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the genisoimage package if you need a program for writing
CD-ROMs.

#%package -n cdrkit-isoutils
#Summary: 	Creates an image of an ISO9660 filesystem
#Group: 		Archiving/CD Burning 
#Provides:	cdrkit-isoutils
#
#%description -n cdrkit-isoutils
#This package contain the ISO Tools
#
#   - isodebug
#   - isodump
#   - isoinfo
#   - isovfy
#   - devdump

%package -n icedax
Group: 		Archiving/CD Burning 
Summary: 	A utility for sampling/copying .wav files from digital audio CDs

%description -n icedax
Icedax is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates. Icedax can also be used as a CD player.

%prep
%setup -q 
find . -type f -print0 | xargs -0 perl -pi -e 's#/usr/local/bin/perl#/usr/bin/perl#g'
find doc -type f -print0 | xargs -0 chmod a-x 


%build
mkdir build
pushd build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
cmake .. \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
        -DBUILD_SHARED_LIBS:BOOL=ON
make VERBOSE=1 %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
perl -pi -e 's#^require v5.8.1;##g' $RPM_BUILD_ROOT%{_bindir}/dirsplit
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files -n wodim
%defattr(-,root,root)
%doc Changelog COPYING FAQ FORK START
%doc doc/READMEs doc/wodim
%{_bindir}/wodim
%{_bindir}/readom
%{_sbindir}/netscsid
%{_mandir}/man1/wodim.*
%{_mandir}/man1/readom.*

%files -n icedax
%defattr(-,root,root)
%doc doc/icedax COPYING
%{_bindir}/icedax
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_mandir}/man1/icedax.*
%{_mandir}/man1/cdda2ogg.*
%{_mandir}/man1/list_audio_tracks.*

%files -n genisoimage
%defattr(-,root,root)
%doc doc/genisoimage COPYING
%{_bindir}/genisoimage
%{_bindir}/dirsplit
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_mandir}/man5/genisoimagerc.*
%{_mandir}/man1/genisoimage.*
%{_mandir}/man1/dirsplit.*
%{_mandir}/man1/pitchplay.*
%{_mandir}/man1/readmult.*

%exclude %{_bindir}/isodebug
%exclude %{_bindir}/isodump
%exclude %{_bindir}/isoinfo
%exclude %{_bindir}/isovfy
%exclude %{_bindir}/devdump
%exclude %{_mandir}/man1/isodebug.*
%exclude %{_mandir}/man1/isodump.*
%exclude %{_mandir}/man1/isoinfo.*
%exclude %{_mandir}/man1/isovfy.*
%exclude %{_mandir}/man1/devdump.*

%changelog
* Sun Jan 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- Version update
- removed Obsoletes towards cdrtools (in preparation to dropping cdrkit)
- use cdrtools-isoutils
* Thu Apr 16 2009 Stefan Gottwald <gotti@ccux-linux.de> 1.1.9-2
- do not create compat links to mkisofs, cdrecord oder cdda2wav
  to not conflict with cdrtools package.
* Wed Oct 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.8-1
- Version update
* Tue Mar 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7.1-1
- Version update
* Mon Oct 15 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.6-2
- split up packages to reflect old layout
- added obsoletes / provides for clean updates
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.6-1
- Version update
* Sun Apr 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5.1-1
- Initial Release
